gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. The HSeparator widget is a horizontal separator, used to group the widgets within a window.

The HSeparator widget is a horizontal separator, used to group the widgets within a window. It is not used as a separator within menus. To create a separator in a menu create an empty widget and add it to the menu with .

Gtk.Separator
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Constructor
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete